## loki-demos 1.0f

=== Makefile ===

TARGET  := loki_demos
VERSION := \"1.0f\"
OBJS	:= loki_demos.o loki_launch.o
CFLAGS  ?= -g -Wall
CFLAGS  += -DVERSION=$(VERSION)
CFLAGS  += $(shell pkg-config sdl3 sdl3-image sdl3-mixer --cflags)
LFLAGS  := $(shell pkg-config sdl3 sdl3-image sdl3-mixer --libs)
LFLAGS  += $(LDFLAGS)
ARCH    := $(shell sh print_arch)
ifeq ($(ARCH), alpha)
CFLAGS  += -mcpu=ev4 -Wa,-mall
endif
CDBASE := /loki/demos/loki_demos-$(shell echo $(VERSION))
export CDBASE
INSTALL := $(CDBASE)/bin/$(ARCH)/$(TARGET)
DEMO_CONFIG := demo_config

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LFLAGS)

install: $(TARGET)
	@echo "$(TARGET) -> $(INSTALL)"
	@cp -p $(TARGET) $(INSTALL)
	@strip $(INSTALL)
	-brandelf -t $(shell uname -s) $(INSTALL)
	make -C $(DEMO_CONFIG) $@

clean:
	rm -f $(TARGET) *.o
	make -C $(DEMO_CONFIG) $@

=== demo_config/Makefile ===

TARGET  := demo_config

OBJS    := demo_config$(GTK).o

CFLAGS  ?= -g -O2 -Wall
ARCH    := $(shell sh ../print_arch)
LIBC    := $(shell sh ../print_libc)
ifeq ($(ARCH), alpha)
CFLAGS  += -mcpu=ev4 -Wa,-mall
endif
ifeq ($(GTK), )
CFLAGS += $(shell gtk-config --cflags) $(shell libglade-config --cflags)
CFLAGS += $(shell xml-config --cflags)
LFLAGS += -Wl,-Bstatic
LFLAGS += -L$(shell libglade-config --prefix)
LFLAGS +=  -lglade
LFLAGS += -L$(shell gtk-config --prefix)
LFLAGS +=  -lgtk -lgdk -rdynamic -lgmodule -lglib 
LFLAGS += -L$(shell xml-config --prefix)
LFLAGS += -lxml -lz
LFLAGS += -Wl,-Bdynamic
LFLAGS += -L/usr/X11R6/lib -lXi -lXext -lX11 -lm -ldl
else
CFLAGS += $(shell pkg-config gtk4 --cflags)
LFLAGS += $(shell pkg-config gtk4 --libs)
LFLAGS += $(LDFLAGS)
endif

INSTALL := $(CDBASE)/bin/$(ARCH)/$(LIBC)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LFLAGS)

install: $(TARGET)
	@echo "$(TARGET) -> $(INSTALL)"
	@cp -p $(TARGET) $(INSTALL)
	@strip $(INSTALL)

clean:
	rm -f *.o *.bak core $(TARGET)

=== https_proxy/Makefile ===
BINS=loki_update_https.so

all: $(BINS)

%.so: %.c
	$(CC) $(CFLAGS) -m32 -shared -nostartfiles -fPIC -Wall -o $@ $^ -ldl

clean:
	rm -f $(BINS)

=== debian/changelog ===
loki-demos (1.0f-1) unstable; urgency=low

  * Initial release.

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 16 Jan 2026 09:49:34 +0100

=== debian/control ===
Source: loki-demos
Section: contrib/games
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13), libsdl3-dev, libsdl3-image-dev, libsdl3-mixer-dev, libgtk-4-dev
Standards-Version: 4.7.3
Homepage: https://github.com/twolife/loki_demos

Package: loki-demos
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, loki-update:i386
Description: Loki Demo Launcher
 Loki Software offered a free Linux app for download that showed
 demos of several of their game titles for sale.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Ddemo_config -- GTK=4

override_dh_auto_install:

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Ddemo_config -- GTK=4

execute_after_dh_install:
	mv debian/loki-demos/usr/libexec/demo_config debian/loki-demos/usr/libexec/loki_demo_config
	mv debian/loki-demos/usr/share/pixmaps/icon.xpm debian/loki-demos/usr/share/pixmaps/loki_demos.xpm

=== debian/watch ===
Version: 5

Mode: git
Pgpmode: none
Source: https://github.com/twolife/loki_demos.git
Matching-Pattern: HEAD
Git-Pretty: 1.0f+%cd
